import { Bubbler } from "./Particle/Bubbler";
import { Container } from "./Container";
import { Drawer } from "./Particle/Drawer";
import { Grabber } from "./Particle/Grabber";
import { IVelocity } from "../Interfaces/IVelocity";
import { ISize } from "../Interfaces/ISize";
import { IOpacity } from "../Interfaces/IOpacity";
import { ICoordinates } from "../Interfaces/ICoordinates";
import { IParticleImage } from "../Interfaces/IParticleImage";
import { IColor } from "../Interfaces/IColor";
import { Repulser } from "./Particle/Repulser";
import { ShapeType } from "../Enums/ShapeType";
import { Updater } from "./Particle/Updater";
export declare class Particle {
    radius: number;
    size: ISize;
    position: ICoordinates;
    offset: ICoordinates;
    color: IColor;
    opacity: IOpacity;
    velocity: IVelocity;
    readonly initialVelocity: IVelocity;
    shape?: ShapeType;
    img?: IParticleImage;
    readonly updater: Updater;
    readonly bubbler: Bubbler;
    readonly repulser: Repulser;
    readonly drawer: Drawer;
    readonly grabber: Grabber;
    private readonly container;
    constructor(container: Container, position?: ICoordinates);
    checkOverlap(position?: ICoordinates): void;
    private calcPosition;
    private calcVelocity;
}
